bots.memoryBot
GET
/v1/bots/{botId}/memory/bot
const url = 'https://example.com/v1/bots/example/memory/bot';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/bots/example/memory/bot \ --header 'Authorization: Bearer <token>'Reads the settings of the memory Bot that keeps the memory of this Bot. It needs bots.write on a Bot that is not linked.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”botId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
instructions
required
string
concurrency
integer
budget
object
period
required
string
limitMicros
required
integer
revision
required
integer
Example
{ "budget": { "period": "day" }}BotInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
BotNotFound
Media typeapplication/json
object
_tag
required
string
bot
required
string
Example
{ "_tag": "BotNotFound"}@nmnmcc/ability/Authorizer/Pending | BotConflict
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}BotStorageUnavailable | AuthenticationUnavailable | RequestFailed